#include "HalloweenHaunt.h"
#include "Engine/HitResult.h"

class ADBDPlayer;
class AActor;
class UPrimitiveComponent;

void AHalloweenHaunt::SetHauntHidden(const bool isHidden)
{

}

void AHalloweenHaunt::Multicast_StartDisappearHaunt_Implementation()
{

}

void AHalloweenHaunt::Multicast_OnPlayerHit_Implementation(ADBDPlayer* playerHit)
{

}

void AHalloweenHaunt::Multicast_OnActorHit_Implementation(AActor* actorHit)
{

}

void AHalloweenHaunt::Multicast_LaunchHaunt_Implementation()
{

}

void AHalloweenHaunt::Authority_OnCollisionOverlapBegin(UPrimitiveComponent* overlappedComp, AActor* otherActor, UPrimitiveComponent* otherComp, int32 otherBodyIndex, bool fromSweep, const FHitResult& sweepResult)
{

}

AHalloweenHaunt::AHalloweenHaunt()
{
	this->_timeToDisappear = 2.000000;
}
